質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.37%

windows10 64bit xampp php5.3を稼働させるには?

解決済

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 3,602

score 25

やりたいこと

windows10 64bit xamppでphp5.3を稼働させたい

現状

xampp-win32-1.7.7-VC9.zipをダウンロードし、XAMPPコントロールパネルからapacheをstart
正常に起動しない

やってみたこと

php5apache2_4.dll(ただしphp5.4用と5.2用しか見つかりませんでした。5.3用が見つからず・・・)を、c:\xampp\phpに配置

疑問点

(1)
php5apache2_4.dllのphp5.3用が見つかりませんが、これが必要であればどこからダウンロードしたらよいでしょうか?
https://www.apachelounge.com/viewtopic.php?p=20477
も見たのですが、まだこのdllのダウンロードができません
(2)
php5apache2_4.dllが不要の場合
xampp-win32-1.7.7-VC9.zip以外になにか別途必要なのでしょうか?

他にやってみたこと

php5.5に変更するとapacheは正常に起動する
が、5.3を実行したい

20:36:51  [Apache]     Error: Apache shutdown unexpectedly.
20:36:51  [Apache]     This may be due to a blocked port, missing dependencies, 
20:36:51  [Apache]     improper privileges, a crash, or a shutdown by another method.
20:36:51  [Apache]     Press the Logs button to view error logs and check
20:36:51  [Apache]     the Windows Event Viewer for more clues
20:36:51  [Apache]     If you need more help, copy and post this
20:36:51  [Apache]     entire log window on the forums


apacheのエラーログにはなにも出力なし

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • 退会済みユーザー

    退会済みユーザー

    2019/05/02 15:34

    エラーメッセージなどが表示されているようであれば、それも質問文中に加えてください。

    キャンセル

  • 退会済みユーザー

    退会済みユーザー

    2019/05/02 15:36

    https://qiita.com/shie2/items/65234ffb6753e277d621 これはチェック済み?

    キャンセル

  • sakura-shi

    2019/05/02 20:40

    チェック済

    ログ追加しました

    キャンセル

回答 3

checkベストアンサー

+1

手前味噌で申し訳ないのですが、自分がWindows10でかつPHP5.3の環境をDockerで構築した際の手順をまとめたQiitaの記事があるので参考になるかもしれません。

【Docker】Windows10でPHP5.3の環境を作るためにDockerを使用した際の軌跡 - Qiita
【Vagrant/Docker】Windowsでも開発できるようにVagrant + Docker の環境を作る - Qiita

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/14 21:13

    ありがとうございます。

    キャンセル

+1

仮想サーバー立ててCentOS6を入れてみては。
何もしなければコマンドでインストールされるPHPは確か5.3.3だったはず。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/02 15:41

    がっつりポート使うXAMPPよりも自由がきくという意味合いで仮想サーバーすすめてます(というか今はWindows上で開発する際であってもXAMPPより主流かと)

    キャンセル

  • 2019/05/02 19:59

    ありがとうございます。
    VMでしょうか?Vagrantでしょうか?Docker?
    PHPはgithubで管理しているので、編集が簡単に反映できる環境がよいのです。データもPHP実行しなくても、すぐにクエリ発行で参照できるのがよいです。
    という話になると本題からずれてきますので別の質問にします。

    とりあえずは、今はXAMPPでなんとか希望のバージョンでWEBサーバ、DBサーバが動作できることが第一ステップです。

    キャンセル

  • 2019/05/02 20:49

    仮想サーバができてCentOSが入れば何でも良いかと。

    キャンセル

0

一度xamppをアンインストール後、OSを再起動して
同じダウンロードページにある
xampp-win32-1.7.7-usb-lite.zip
を使ってみるとどうなりますか?

解凍後、日本語を含まない適当なところ(cドライブ直下等)にxamppディレクトリをコピーし、setup_xampp.exeを実行後、xampp-control.exeで起動できます。

以下、質問の見誤りに基づいた回答なので取り消し

XAMPPはオールインワンで環境を作れるところが良いところなので、 よくわからないままPHPのバージョンを切り替えて使うよりは、XAMPPを丸ごと切り替える方がお勧めです。 (XAMPP Liteを使えばインストールせずに使えます)

[参考: XAMPP version history: Apache, MySQL, and PHP](http://code.iamkate.com/articles/xampp-version-history-apache-mysql-php/)
1.7.7を使えば行けそうです(DLLもそこには入っているとは思いますが、DLLだけ差し替えて完全に問題無く動くかは別問題)

最新のApacheでPHPだけ5.3にしたいとか、PHP7とPHP5を頻繁に切り替えて使いたいとかそういう事情があるのであれば、mts10806さんの回答にある様に仮想マシンの利用する方が楽なケースも多いです。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/02 16:24

    質問者さんは1.7.7を使えばいけるんじゃないかと考えてすでにzipをダウンロードしてチャレンジしてますが、Windows 10固有のトラブルかなにかに引っかかっているように見えます。

    キャンセル

  • 2019/05/02 16:40

    あ、そうですね。質問を見誤ってました。
    ご指摘ありがとうございます。

    キャンセル

  • 2019/05/14 21:13

    tanatさん ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る